# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.71.0"
name = "janus_client"
version = "0.5.52"
description = "Client for Janus, the server powering ISRG's Divvi Up."
homepage = "https://divviup.org"
documentation = "https://docs.rs/janus_client"
readme = "README.md"
license = "MPL-2.0"
repository = "https://github.com/divviup/janus"

[dependencies.backoff]
version = "0.4.0"
features = ["tokio"]

[dependencies.derivative]
version = "2.2.0"

[dependencies.http]
version = "1.1"

[dependencies.http-api-problem]
version = "0.58.0"

[dependencies.janus_core]
version = "0.5"

[dependencies.janus_messages]
version = "0.5"

[dependencies.prio]
version = "0.12.6"
features = ["multithreaded"]

[dependencies.rand]
version = "0.8"

[dependencies.reqwest]
version = "0.12.4"
features = [
    "rustls-tls",
    "json",
]
default-features = false

[dependencies.thiserror]
version = "1.0"

[dependencies.tokio]
version = "1.37"
features = [
    "full",
    "tracing",
]

[dependencies.tracing]
version = "0.1.40"

[dependencies.url]
version = "2.5.0"

[dev-dependencies.assert_matches]
version = "1"

[dev-dependencies.janus_core]
version = "0.5"
features = ["test-util"]

[dev-dependencies.mockito]
version = "1.4.0"

[dev-dependencies.tracing-log]
version = "0.2.0"

[dev-dependencies.tracing-subscriber]
version = "0.3"
features = [
    "std",
    "env-filter",
    "fmt",
]
